> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /siemens/search/partners/digital

> Search Digital Industries Software partner.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/company-startup-intel.json post /api/siemens/search/partners/digital
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/siemens/search/partners/digital:
    post:
      tags:
        - Siemens
      summary: /siemens/search/partners/digital
      description: |-
        Search Digital Industries Software partner.

        **Price:** 1 credit
      operationId: __api_siemens_search_partners_digital_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SiemensPartnerFinderPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SiemensPartnerFinderResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SiemensPartnerFinderPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        partner_name:
          type: string
          default: ''
        country:
          type: string
        location:
          type: string
          default: ''
        your_needs:
          $ref: '#/components/schemas/YourNeeds'
          default: All
        product_category:
          $ref: '#/components/schemas/ProductCategory'
          default: All
        industry_focus:
          $ref: '#/components/schemas/IndustryFocus'
          default: All
        count:
          type: integer
          exclusiveMinimum: 0
      type: object
      required:
        - country
        - count
    SiemensPartnerFinderResult:
      properties:
        '@type':
          type: string
          default: SiemensPartnerFinderResult
        name:
          type: string
        partner_type:
          type: string
          default: ''
        location_count:
          type: integer
          default: 0
        location_name:
          type: string
          default: ''
        mailing_address:
          type: string
          default: ''
        contact:
          type: string
          default: ''
        email:
          type: string
          default: ''
        phone:
          type: string
          default: ''
        website:
          type: string
          default: ''
        product_specialization:
          type: string
          default: ''
        image:
          type: string
          default: ''
        latitude:
          type: number
          default: 0
        longitude:
          type: number
          default: 0
      type: object
      required:
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    YourNeeds:
      type: string
      enum:
        - All
        - Solution Providers (VAR/Resellers)
        - Software & Technology Partner
        - Consulting & System Integrator
    ProductCategory:
      type: string
      enum:
        - All
        - ADDITIVE MANUFACTURING
        - ASSEMBLY
        - CLOUD SOLUTIONS
        - COMOS
        - DI HOSTED BUSINESS
        - FEMAP
        - HEEDS
        - INSIGHTS HUB
        - INTEGRATED ELECTRICAL SYSTEMS
        - LEARNING SERVICES
        - LOGISTICS SCHEDULING
        - MANUFACTURING EXECUTION
        - MENDIX
        - MOTION CONTROL
        - NX FOR DESIGN
        - NX FOR MANUFACTURING
        - OPCENTER-APS
        - OPEN TOOLS
        - PADS
        - PERFORMANCE TESTING
        - PLM-MULTI
        - POLARION
        - PRODUCT COSTING
        - QUALITY MANAGEMENT
        - RESEARCH DEVELOPMENT &LABORATORY
        - RULESTREAM
        - SERVICES
        - SIMCENTER 3D SOLUTIONS
        - SIMCENTER-AMESIM
        - SIMCENTER-FloEFD
        - SIMCENTER-FLOTHERM
        - SIMCENTER-STAR-CCM+
        - SIMULATION AND TEST SOLUTIONS
        - SOLID EDGE
        - SUPPLYFRAME
        - TC CONTENT AND DOCUMENT MANAGEMENT
        - TC PRODUCT CONFIGURATOR
        - TEAMCENTER
        - VALOR
    IndustryFocus:
      type: string
      enum:
        - All
        - Aerospace and Defense
        - Automotive and Transportation
        - Banking, Financial &Credit Institution
        - Battery
        - Business Services
        - Clearing House Review
        - Consumer Products And Retail
        - Education
        - Electronics and Semiconductor
        - Energy and Utilities
        - Government
        - Healthcare
        - Heavy Equipment
        - Industrial Machinery
        - Infrastructure &Construction
        - Insurance
        - Marine
        - Medical Device and Pharmaceutical
        - Other Industries
        - Process Industries
        - Real Estate
        - Service Industries
        - Software &IT
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````